Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007361OCamlcompiler driverpublic2016-09-17 04:532017-10-10 11:33
Reporterhongboz 
Assigned Tofrisch 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version4.06.0+devFixed in Version4.06.0+dev 
Summary0007361: ocaml.warning does not work with ocaml.ppwarning
Description``` a.ml
[@@@ocaml.warning "-22"]

let a = 3
[@@ocaml.ppwarning "hey"]
```
ocamlc.opt -c a.ml // print warning which should not
ocamlc.opt -w -22 -c a.ml // good
TagsNo tags attached.
Attached Files

- Relationships
related to 0006714resolvedwhitequark Also recognize [@@ocaml.warning] 

-  Notes
(0016301)
hongboz (developer)
2016-09-17 05:10

relevant issue 0006714, I feel that it is very hard to get a solid implementation for `@@@ocaml.warning`, `@@ocaml.waring` and `@ocaml.warning`.

Maybe the most simple and solid implementation is just allow `@@@ocaml.warning` in the beginning of a file
(0018100)
frisch (developer)
2017-07-19 11:45

Will be fixed by : https://github.com/ocaml/ocaml/pull/1248 [^]

- Issue History
Date Modified Username Field Change
2016-09-17 04:53 hongboz New Issue
2016-09-17 05:10 hongboz Note Added: 0016301
2016-09-28 14:20 doligez Relationship added related to 0006714
2016-09-28 14:21 doligez Status new => acknowledged
2016-09-28 14:21 doligez Target Version => 4.05.0 +dev/beta1/beta2/beta3/rc1
2016-09-28 14:21 doligez Description Updated View Revisions
2017-02-23 16:36 doligez Category OCaml general => -OCaml general
2017-02-23 17:07 doligez Category -OCaml general => compiler driver
2017-06-09 11:13 doligez Target Version 4.05.0 +dev/beta1/beta2/beta3/rc1 => 4.06.0+dev
2017-07-19 11:45 frisch Note Added: 0018100
2017-10-10 11:33 frisch Status acknowledged => resolved
2017-10-10 11:33 frisch Fixed in Version => 4.06.0+dev
2017-10-10 11:33 frisch Resolution open => fixed
2017-10-10 11:33 frisch Assigned To => frisch


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker